Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.module.cpu32
Class MethodInfo

    java.lang.Object
      dioscuri.module.cpu32.MethodInfo

    public class MethodInfo

extends java.lang.Object

Author:
  Bram Lohman, Bart Kiers

Field Summary
`static int` | `ABSTRACT`
`static int` | `BRIDGE`
`static int` | `FINAL`
`static int` | `NATIVE`
`static int` | `PRIVATE`
`static int` | `PROTECTED`
`static int` | `PUBLIC`
`static int` | `STATIC`
`static int` | `STRICT`
`static int` | `SYNCHRONIZED`
`static int` | `SYTHETIC`
`static int` | `VARARGS`

Constructor Summary
`MethodInfo(java.io.DataInputStream in, ConstantPoolInfo[] pool)`

Method Summary
`int[]` | `getCode()`
`int` | `getDescriptorIndex()`
`AttributeInfo.CodeAttribute.ExceptionEntry[]` | `getExceptionTable()`
`int` | `getMaxLocals()`
`int` | `getMaxStack()`
`int` | `getNameIndex()`
`void` | `setCode(int[] code, ClassFile cf)`
`void` | `setCode(int[] code, int codeLength, ClassFile cf)`
`void` | `setExceptionTable(AttributeInfo.CodeAttribute.ExceptionEntry[] exceptionTable, ClassFile cf)`
`void` | `setExceptionTable(AttributeInfo.CodeAttribute.ExceptionEntry[] exceptionTable, int exceptionTableLength, ClassFile cf)`
`void` | `write(java.io.DataOutputStream out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PUBLIC

    public static final int PUBLIC

See Also:
  Constant Field Values

### PRIVATE

    public static final int PRIVATE

See Also:
  Constant Field Values

### PROTECTED

    public static final int PROTECTED

See Also:
  Constant Field Values

### STATIC

    public static final int STATIC

See Also:
  Constant Field Values

### FINAL

    public static final int FINAL

See Also:
  Constant Field Values

### SYNCHRONIZED

    public static final int SYNCHRONIZED

See Also:
  Constant Field Values

### BRIDGE

    public static final int BRIDGE

See Also:
  Constant Field Values

### VARARGS

    public static final int VARARGS

See Also:
  Constant Field Values

### NATIVE

    public static final int NATIVE

See Also:
  Constant Field Values

### ABSTRACT

    public static final int ABSTRACT

See Also:
  Constant Field Values

### STRICT

    public static final int STRICT

See Also:
  Constant Field Values

### SYTHETIC

    public static final int SYTHETIC

See Also:
  Constant Field Values

Constructor Detail

### MethodInfo

    public MethodInfo(java.io.DataInputStream in,
                      ConstantPoolInfo[] pool)
               throws java.io.IOException

Parameters:
  `in` -
  `pool` -
Throws:
  `java.io.IOException`

Method Detail

### write

    public void write(java.io.DataOutputStream out)
               throws java.io.IOException

  Parameters:
    `out` -
  Throws:
    `java.io.IOException`

### getNameIndex

    public int getNameIndex()

  Returns:
    -

### getDescriptorIndex

    public int getDescriptorIndex()

  Returns:
    -

### getMaxStack

    public int getMaxStack()

  Returns:
    -

### getMaxLocals

    public int getMaxLocals()

  Returns:
    -

### getCode

    public int[] getCode()

  Returns:
    -

### setCode

    public void setCode(int[] code,
                        ClassFile cf)

  Parameters:
    `code` -
    `cf` -

### setCode

    public void setCode(int[] code,
                        int codeLength,
                        ClassFile cf)

  Parameters:
    `code` -
    `codeLength` -
    `cf` -

### getExceptionTable

    public AttributeInfo.CodeAttribute.ExceptionEntry[] getExceptionTable()

  Returns:
    -

### setExceptionTable

    public void setExceptionTable(AttributeInfo.CodeAttribute.ExceptionEntry[] exceptionTable,
                                  ClassFile cf)

  Parameters:
    `exceptionTable` -
    `cf` -

### setExceptionTable

    public void setExceptionTable(AttributeInfo.CodeAttribute.ExceptionEntry[] exceptionTable,
                                  int exceptionTableLength,
                                  ClassFile cf)

  Parameters:
    `exceptionTable` -
    `exceptionTableLength` -
    `cf` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD